@ECHO OFF
REM Updated : 24 June 2015 : mfer : Library of Congress
rem %~dp0 is the expanded pathname of the current script under NT
SET HDLHOME=
SET MFERHOMEPATH=
SET CP=.
SET ppth01=
SET ppth02=\bin\java.exe
SET exit=1
IF NOT "%OS%"=="Windows_NT" GOTO wrongOSStopProgram
SET HDLHOME=%~dp0
SET JAVAOPTS=-Denv.windir=%WINDIR%
SET javaDir=
SET javaVersion=
SET JAVACMD=

FOR %%i IN ("%HDLHOME%lib\*.*") DO CALL "%HDLHOME%lib\cpappend.bat" %%i
REM ECHO CP:%CP%
REM ECHO HDLHOME:%HDLHOME%

CALL "%HDLHOME%resources\cpfile01.bat"
CALL "%HDLHOME%resources\jhome.bat"

ECHO javaDir: %javaDir%
ECHO javaVersion: %javaVersion%

:noJavaHome01
ECHO check to see if this is windows 7 or xp
IF NOT EXIST "C:\Windows\SysWOW64" GOTO findJavaOnXP
GOTO findJavaOnWin7

:findJavaOnWin7
REM LoC uses 32 bit java on windows 7 machines
ECHO findJavaOnWin7
IF NOT EXIST "%javaDir%\bin\java.exe" GOTO noJavaStopProgram
SET "JAVACMD=%javaDir%\bin\java.exe"
GOTO runHandle7

:findJavaOnXP
ECHO findJavaOnXP
IF NOT EXIST "C:\WINDOWS\system32\java.exe" GOTO noJavaStopProgram
SET JAVACMD=C:\WINDOWS\system32\java.exe
GOTO runHandle7

:runHandle7
SET CP=%CP%
ECHO HDLHOME.rh7:%HDLHOME%
ECHO JAVACMD.rh7:%JAVACMD%
REM ECHO CP.rh7:%CP%
rem "%JAVACMD%" -Xmx1026M %JAVAOPTS% %LOGCHOICE% %LOGLEVEL% %PARSERCHOICE% -cp "%LOCALCLASSPATH%" org.apache.fop.cli.Main %FOP_CMD_LINE_ARGS%
"%JAVACMD%" -Duser.home="%USERPROFILE%" -cp "%CP%" net.handle.apps.gui.hadmin.HandleTool 
REM net.handle.apps.admintool.controller.Main
REM net.handle.apps.gui.hadmin.HandleTool
GOTO endProgram

:noJavaStopProgram
ECHO JAVA REQUIRED TO RUN THIS CLIENT : THERE IS NO JAVA INSTALLED ON THIS PC : CONTACT ITS HOTLINE
ECHO HDLHOME:%HDLHOME%
ECHO JAVA_HOME:%JAVA_HOME%
ECHO JAVACMD:%JAVACMD%
REM ECHO CP:%CP%
REM ECHO PATH:%PATH%
GOTO endProgramPause

:wrongOSStopProgram
ECHO THIS CLIENT BATCH FILE IS CONFIGURED TO RUN ON WINDOWS WITH JAVA. OS IS NOT WINDOWS.
ECHO HDLHOME:%HDLHOME%
ECHO JAVA_HOME:%JAVA_HOME%
ECHO JAVACMD:%JAVACMD%
REM ECHO CP:%CP%
REM ECHO PATH:%PATH%
GOTO endProgramPause

:endProgramPause
PAUSE

:endProgram
